Page MenuHomePhabricator

Community health survey for Wikimedia technical spaces
Closed, ResolvedPublic

Description

Do we have an idea of the levels of community health in Wikimedia technical spaces? Whatever idea we have, it is probably based on subjective observation of our spaces, which is biased by

  1. the activity that happens when we see it, missing what we don't see and what is not manifested (i.e. people not expressing frustrations or just leaving silently)
  2. our own biases (i.e. even with the best of my intentions I could not have deduced many of the points made by Guillom's My life as an autistic Wikipedian post)

We could run a survey to have a better idea of where we are, aiming to include a lot more and more diverse voices than the ones typically read and heard in our technical spaces.

What to measure, though? What to ask? I don't know, but I found this article to be a possible source of inspiration: http://sarah.thesharps.us/2015/10/06/what-makes-a-good-community/

More ideas and links to precedents / research are welcomed.

See also

Event Timeline

Qgil created this task.Oct 23 2015, 9:50 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added projects: Developer-Advocacy, Surveys.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 9:50 AM

Hey @Qgil, I think this is a GREAT idea and something that is really needed among the technical/developer community. With any new area of research, it works better to have focus groups or other open-ended qualitative data before honing in on a more rigorous survey. This research might be great for the Support & Safety team, but I'd be happy to support as well.

Also, this was a great survey: http://stackoverflow.com/research/developer-survey-2015

Qgil added a comment.Jan 20 2016, 2:48 PM

If your team wants to lead this task, that would be great! You are the experts. Of course we can help defining the purpose and the details.

Qgil updated the task description. (Show Details)Feb 1 2016, 7:05 AM
Qgil set Security to None.
egalvezwmf moved this task from Backlog to Proposals on the Surveys board.Feb 16 2016, 6:46 PM

It would be probably better to align this survey with Community Engagement Insights, instead of running it separately. The information about Community Engagement Insights is available in the WMF Annual Plan revised draft ("Objective 1 – Implement Community Engagement Insights").

Qgil added a comment.Aug 4 2016, 2:25 PM

Learning more about community health in the Wikimedia movement is a Community Engagement department priority, and there is already an ongoing effort to bring the right questions to CE Insights. I will join that loop to cover the needs to assess community health in our technical spaces specifically.

Qgil claimed this task.Aug 25 2016, 6:05 AM
Qgil raised the priority of this task from Low to High.
Qgil added a subscriber: JAnstee_WMF.

@JAnstee_WMF has shared her draft questions about Community Health for CE Insights. I am reviewing them from a Technical Collaboration perspective today.

Qgil closed this task as Resolved.Aug 25 2016, 1:30 PM

I have made two rounds of reviews to Jaime's draft, one in an impromptu workshop and another one on my own. I believe the community health section of CE Insights will cover technical spaces sufficiently. There will be more work done around community health and CE Insights but it will be lead by Jaime/Ed. We can resolve this task.